> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bookmarks - Create

> Create a bookmark for an artifact version.



## OpenAPI

````yaml /api-specs/cloud/flyte-extensions-api.yaml post /bookmarks
openapi: 3.1.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: "\n\tAdds a number of extended operations to Flyte in support of retrieving artifact\n\tmetadata and bookmarking artifacts from individual executions."
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: >-
    https://tickets.dominodatalab.com/hc/en-us/articles/360060058871-Service-Level-Agreement
  title: Flyte HTTP Gateway
  version: '0.1'
servers:
  - url: https://mycluster.domino.tech/flows/api/artifacts/v1
    description: Replace 'mycluster.domino.tech' with your Domino cluster hostname.
security: []
paths:
  /bookmarks:
    post:
      summary: Bookmarks - Create
      description: Create a bookmark for an artifact version.
      operationId: bookmarks-create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArtifactVersionKey'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtifactVersionExtendedDetails'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    ArtifactVersionKey:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - /flows/api/artifacts/v1/schemas/ArtifactVersionKey.json
          format: uri
          readOnly: true
          type: string
        artifactId:
          description: UUID such as d1a2dfd5-1050-4538-8b29-ec254af2f7a4
          type: string
        execution:
          $ref: '#/components/schemas/ExecutionIdentifier'
          description: Workflow execution identifier
      required:
        - execution
        - artifactId
      type: object
    ArtifactVersionExtendedDetails:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - >-
              /flows/api/artifacts/v1/schemas/ArtifactVersionExtendedDetails.json
          format: uri
          readOnly: true
          type: string
        artifactId:
          description: >-
            UUID such as d1a2dfd5-1050-4538-8b29-ec254af2f7a4. It identifies the
            artifact which contains this artifact version. It is a hash of
            project / domain / execution / name / type.
          type: string
        bookmarked:
          description: Whether or not this artifact version is bookmarked
          type: boolean
        createdAt:
          description: >-
            Time of execution creation, for the workflow execution which created
            this artifact version
          format: date-time
          type: string
        execution:
          $ref: '#/components/schemas/ExecutionIdentifier'
          description: Workflow execution identifier
        executionDetails:
          $ref: '#/components/schemas/ExecutionDetails'
          description: Workflow execution details
        exports:
          description: List of exports of this artifact, such as exports-to-datasets
          items:
            $ref: '#/components/schemas/ArtifactVersionExportInfo'
          type:
            - array
            - 'null'
        files:
          description: Map of filename to ArtifactFile
          items:
            $ref: '#/components/schemas/ArtifactFileInfo'
          type:
            - array
            - 'null'
        name:
          type: string
        type:
          description: 'Type: report, data, model'
          type: string
        userId:
          description: ID of the user who created the artifact
          type: string
        userName:
          description: Username of the user who created the artifact
          type: string
      required:
        - bookmarked
        - files
        - execution
        - executionDetails
        - artifactId
        - name
        - type
        - userId
        - userName
        - exports
        - createdAt
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - /flows/api/artifacts/v1/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ExecutionIdentifier:
      additionalProperties: false
      properties:
        domain:
          description: >-
            Name of the domain the execution belongs to – A domain can be
            considered as a subset within a specific project.
          type: string
        name:
          description: User or system provided value for the execution name
          type: string
        project:
          description: Name of the project the execution belongs to
          type: string
      required:
        - project
        - domain
        - name
      type: object
    ExecutionDetails:
      additionalProperties: false
      properties:
        workflowCreatedAt:
          description: Time of workflow creation, for the workflow the resource belongs to
          format: date-time
          type: string
        workflowName:
          description: Name of the workflow the resource belongs to
          type: string
        workflowVersion:
          description: Version of the workflow the resource belongs to
          type: string
      required:
        - workflowName
        - workflowVersion
        - workflowCreatedAt
      type: object
    ArtifactVersionExportInfo:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - /flows/api/artifacts/v1/schemas/ArtifactVersionExportInfo.json
          format: uri
          readOnly: true
          type: string
        createdAt:
          description: Time of export creation
          format: date-time
          type: string
        exportTargetId:
          description: e.g. Dataset ID
          type: string
        tags:
          additionalProperties:
            type: string
          description: >-
            Map of key-value tags, such as
            datasetSnapshotId=67d31cdfd5439671479939b4.
          type: object
        type:
          description: 'Export type: dataset, netapp-volume, report, model'
          type: string
        uri:
          description: >-
            Permalink to the entity containing the export e.g. Snapshot
            permalink
          type: string
      required:
        - createdAt
        - type
        - exportTargetId
        - uri
        - tags
      type: object
    ArtifactFileInfo:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - /flows/api/artifacts/v1/schemas/ArtifactFileInfo.json
          format: uri
          readOnly: true
          type: string
        createdAt:
          description: >-
            Time of task execution creation, for the task execution which
            created this artifact file (may be empty if task execution is not
            started yet)
          format: date-time
          type: string
        format:
          description: Used to assist with frontend rendering
          type: string
        jobId:
          description: >-
            Unique Domino job id that produced this output (may be empty if
            execution is not started yet)
          type: string
        name:
          description: Filenames are unique within an artifact version
          type: string
        nodeId:
          description: >-
            Node identifier within the Flyte graph (where this output was
            annotated, not necessarily where originally produced)
          type: string
        nodeVariable:
          description: Output variable name for the node
          type: string
        sizeBytes:
          description: Size of the blob in bytes
          format: int64
          type: integer
        source:
          description: Blob URI for the file (may be empty if execution is not done yet)
          type: string
        taskName:
          description: Task name for the node that produced the artifact
          type: string
      required:
        - sizeBytes
        - name
        - source
        - format
        - nodeId
        - nodeVariable
        - taskName
        - jobId
        - createdAt
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````